Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1049770 - gnuradio should depend on PyOpenGL
Summary: gnuradio should depend on PyOpenGL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuradio
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 07:39 UTC by apearrh
Modified: 2014-10-17 08:35 UTC (History)
4 users (show)

Fixed In Version: gnuradio-3.7.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-17 15:42:42 UTC
Type: Bug


Attachments (Terms of Use)

Description apearrh 2014-01-08 07:39:35 UTC
Description of problem:
A feature in gnuradio (The WG GUI Waterfall Sink in gnuradio-companion) does not work without PyOpenGL. PyOpenGL is not depended on by gnuradio. It seems that gnuradio should depend on PyOpenGL.

Version-Release number of selected component (if applicable):
3.7.2.1-1.fc20

How reproducible:
I only tested it on my machine.

Steps to Reproduce:
1. Install the gnuradio package
2. Open gnuradio-companion
3. Create a WX GUI Waterfall Sink
4. Create a noise source or other non-constant signal source.
5. Connect the blocks
6. Execute

Actual results:
The waterfall plot is solid blue and there are no options on the right side of the plot.

Expected results:
The plot reflects the output of the source and there are options on the right side of the graph.

Additional info:
I installed PyOpenGL and got the expected results. I uninstalled PyOpenGL and it stopped working. I installed PyOpenGL again and got the expected results.

Comment 1 Fedora Admin XMLRPC Client 2014-09-17 14:48:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jaroslav Škarvada 2014-09-17 15:02:07 UTC
Thanks for the report.

Comment 3 Fedora Update System 2014-10-07 20:24:34 UTC
gnuradio-3.7.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnuradio-3.7.3-2.fc20

Comment 4 lnie 2014-10-08 03:12:03 UTC
The dependency on PyOpenGL is added

Comment 5 Fedora Update System 2014-10-17 08:35:20 UTC
gnuradio-3.7.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.